Subject: Re: bug#74208: 31.0.50; minibuffer read-file-name-default mutates global value of default-directory incorrectly

From: Madhu <[email-masked]>
Date: Sun, 10 Nov 2024 16:11:41 +0530 (IST)

*  Eli Zaretskii <[email-masked]> <[email-masked]>
Wrote on Sun, 10 Nov 2024 12:00:48 +0200
>   (expand-file-name "http://example.com" "~")
>     => /my/home/directory/http:/example.com
I get the same result.

> In what version of Emacs do you see your result?

I was evaluating it under edebug after calling edebug-defun on
read-file-name-default, and ivoking (ffap) on the url.

It returns the argument with or without the second parameter to
expand-file-name, and I was hoping I could count on this behaviour to
separate the urls from the files.

The behaviour of expand-file-name is apparenlty modified when it comes
to read-file-name-default, but I can't spot what's going on. ?????